<template>
  <div class="block">
    <el-pagination @size-change="handleSizeChange" @current-change="handleCurrentChange" :current-page="currentPage" layout="total, prev, pager, next, jumper" :total="pushlist.totalCount">
    </el-pagination>
  </div>
</template>
<script>
export default {
  data () {
    return {
      currentPage: 1
    }
  },
  props: ['pushlist'],
  methods: {
    handleSizeChange (val) {
      console.log(`每页 ${val} 条`)
    },
    handleCurrentChange (val) {
      console.log(`当前页: ${val}`)
    }
  }
}
</script>
